| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleVertices Class Reference
[Geometry utilities]

A class which holds vertices and connectivity information for a triangle mesh. More...

`#include <csgeom/trimesh.h>`

List of all members.

## Public Member Functions
| csTriangleVertices (csTriangleMesh *mesh, csVector3 *verts, int num_verts)
| Build vertex table for a triangle mesh.
csTriangleVertex & | GetVertex (int idx)
int | GetVertexCount () const
void | UpdateVertices (csVector3 *verts)
| Update vertex table for a given set of vertices (with the same number as at init).
## Protected Attributes
int | num_vertices
csTriangleVertex * | vertices

## Detailed Description

A class which holds vertices and connectivity information for a triangle mesh.

Definition at line 107 of file trimesh.h.

## Constructor & Destructor Documentation

csTriangleVertices::csTriangleVertices | ( | csTriangleMesh * | mesh,
|  | csVector3 * | verts,
|  | int | num_verts |
| ) |  |  |

Build vertex table for a triangle mesh.

## Member Function Documentation

void csTriangleVertices::UpdateVertices | ( | csVector3 * | verts | ) |

Update vertex table for a given set of vertices (with the same number as at init).

The documentation for this class was generated from the following file:

- csgeom/trimesh.h